#ifndef NO_SCCS_ID
static char SccsId[ ] = "@(#) sm_CommonData.cpp 1.3 3/25/98 10:28:33"; 
#endif

//////////////////////////////////////////////////////////////////////////
// sm_CommonData.cpp implements the members from CSM_CommonData

#include "sm_api.h"

//////////////////////////////////////////////////////////////////////////
void CSM_CommonData::SetEncodedBlob(CSM_Content *pMsgBlob)
{
   // TBD, how should this be done?
   m_pContentValue = pMsgBlob;
}

//////////////////////////////////////////////////////////////////////////
CSM_Content* CSM_CommonData::GetEncapContent()
{
   // TBD, how should this be done?
   return m_pContentValue;
}

//////////////////////////////////////////////////////////////////////////
void CSM_CommonData::SetEncodedBlob(CSM_Buffer *pBlob)
{
   if (m_pEncodedBlob) 
      delete m_pEncodedBlob;
   m_pEncodedBlob = pBlob;
   if (m_pContentValue) 
      delete m_pContentValue;
   m_pContentValue = NULL;
}

//////////////////////////////////////////////////////////////////////////
void CSM_CommonData::SetEncapContent(CSM_Content &EncapContent)
{
   SME_SETUP("CSM_CommonData::SetEncapContent");
   if (m_pContentValue) 
      delete m_pContentValue;
   if ((m_pContentValue = new CSM_Content(EncapContent)) == NULL)
      SME_THROW(SM_MEMORY_ERROR, NULL, NULL);
   if (m_pEncodedBlob)
      delete m_pEncodedBlob;
   m_pEncodedBlob = NULL;
   SME_FINISH_CATCH
}

//////////////////////////////////////////////////////////////////////////
void CSM_CommonData::SetEncapContent(CSM_Buffer *pEncapContent, long type) 
{
   SME_SETUP("CSM_CommonData::SetEncapContent type");
   if (m_pContentValue) 
      delete m_pContentValue;
   if ((m_pContentValue = new CSM_Content(pEncapContent)) == NULL)
      SME_THROW(SM_MEMORY_ERROR, NULL, NULL);
   m_pContentValue->m_lType = type; 
   if (m_pEncodedBlob)
      delete m_pEncodedBlob;
   m_pEncodedBlob = NULL;
   SME_FINISH_CATCH
}

//////////////////////////////////////////////////////////////////////////
void CSM_CommonData::setContentType(CSM_OID &oContentType) 
{
   if (m_pContentValue)
   { 
      m_pContentValue->m_contentType = oContentType;
      if (m_pEncodedBlob)
         delete m_pEncodedBlob;
      m_pEncodedBlob = NULL;
   } 
}

// EOF sm_CommonData.cpp
