#ifndef NO_SCCS_ID
static char SccsId[ ] = "@(#) sm_CfgCheckAlg.cpp 1.3 3/13/98 09:12:48"; 
#endif

//
// sm_CfgCheckAlg.cpp
//

#include "sm_api.h"

SM_RET_VAL SM_CfgCheckAlg(char *pOID, char *pParams)
{
   SM_RET_VAL status = 0;
   CSM_Buffer *pCSM = NULL;

   AlgorithmIdentifier snaccC;
   CSM_Alg b;
   if (b.m_pParams == NULL)
      delete b.m_pParams;
   b.m_pParams = new CSM_Buffer(pParams, strlen(pParams));
   if (b.m_pId == NULL)
      delete b.m_pId;
   b.m_pId = new CSM_OID(pOID);
   b.PutSNACCAlg(&snaccC);

   // Encoding
   ENCODE_BUF(&snaccC, pCSM);
   if (pCSM)
      pCSM->ConvertMemoryToFile("./algs.out");

   return status;
}
