#ifndef NO_SCCS_ID
static char SccsId[ ] = "@(#) sm_list.cpp 1.14 3/20/98 17:28:30"; 
#endif

// List template instantiation file

#include "sm_api.h"
#include "sm_tlist.h"

// TBD, warning 4660 on from MSVC++ is "template-class specialization 
// 'identifier' is already instantiated"...currently, it comes
// up on CSM_Buffer, CSM_CertificateChoice, CSM_DN, and CSM_MsgSignerInfos
// It seems to be triggered by another class using parts of
// the warning classes...where ambiguity exists, the compiler appears
// to temporarily instantiate the warning class so when these
// explicit instantiations occur, a warning comes up...an example is
// CSM_Recipient's dual overridden constructors, one initializing
// the inherited CSM_CertificateChoice....Hope to resolve this
// without the use of a pragma ASAP
#ifdef WIN32
#pragma warning( disable : 4660 )
#endif

template class CSM_List<CSM_Alg>;
template class CSM_List<CSM_Attrib>;
template class CSM_List<CSM_Buffer>;
template class CSM_List<CSM_CSInst>;
template class CSM_List<CSM_CertificateChoice>;
template class CSM_List<MAB_Entrydef>;
template class CSM_List<CSM_HashDef>;
template class CSM_List<CSM_DN>;
template class CSM_List<CSM_Ml>;
template class CSM_List<CSM_Recipient>;
template class CSM_List<CSM_SecCat>;
template class CSM_List<CSM_MsgSignerInfo>;
template class CSM_List<CSM_UserKeyMaterial>;

#ifdef WIN32
#pragma warning( default : 4660 )
#endif

// EOF sm_list.cpp

